import { Component, OnInit } from '@angular/core';
import {Router} from '@angular/router';
@Component({
  selector: 'app-ask',
  templateUrl: './ask.component.html',
  styleUrls: ['./ask.component.css']
})
export class AskComponent implements OnInit {
  questionList:Array<any>;
  questionPageList = []; //分页后前台显示数据
  pageNo = 1; //当前页码 
  preShow = false; //上一页
  nextShow = true; //下一页 
  pageSize = 1; //单页显示数
  totalCount = 0; //总页数 
  pageSizes = [5, 10, 15];
  curPage = 1; //当前页

  constructor(private router: Router) {

   }

  ngOnInit() {
    }
  viewDetail(id){
      this.router.navigate(['askdetail',id])
  }
}
